function GameScreen:RestoreScene()
end

function GameScreen:InitScreen()
    self:LoadScreen()
    
    self.disable = true;
    DelayedExec(0.5, function()
        self.disable = false;
    end)
    self:RestoreScene();
    
    DelayedExec(4.0, function()
        clApplication:LoadLocation("company_logo")
    end, 204)
end

function GameScreen:OnClick(item_name)
    if(self.disable) then return end
    self.disable = true
    ItemChangeOpacity("bigfish_logo", 0.0, 0.5)
    StopRequests(204)
    DelayedExec(0.5, function()
        clApplication:LoadLocation("company_logo")
    end)
end

function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "bigfish_logo", "graphics/interface/bigfish_logo", 0, 0);
    ItemSetOpacity("bigfish_logo", 0.0)
    ItemChangeOpacity("bigfish_logo", 1.0, 0.5)
    DelayedExec(3.5, function()
        self.disable = true
        ItemChangeOpacity("bigfish_logo", 0.0, 0.5)
    end, 204)
end
